package com.liquidnet.service.adam.dto.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

@ApiModel(value = "AdamProPerformMarkVo", description = "用户演出标记信息")
@Data
public class AdamProPerformMarkVo implements Serializable, Cloneable {
    private static final long serialVersionUID = -8613727485190342352L;
    private String pid;
    private String pname;
    private String time;
    private int count;

    private static final AdamProPerformMarkVo obj = new AdamProPerformMarkVo();

    public static AdamProPerformMarkVo getNew() {
        try {
            return (AdamProPerformMarkVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new AdamProPerformMarkVo();
        }
    }
}
